Bug 254155 - dns/knot-resolver: upgrade to 5.3.0
Summary: dns/knot-resolver: upgrade to 5.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Neel Chauhan
URL: https://www.knot-resolver.cz/2021-02-...
Keywords:
Depends on: 253807
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-09 13:14 UTC by Leo Vandewoestijne
Modified: 2021-03-16 18:12 UTC (History)
2 users (show)

See Also:


Attachments
knot-resolver 5.3.0 (6.15 KB, patch)
2021-03-09 13:14 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2021-03-09 13:14:21 UTC
Created attachment 223116 [details]
knot-resolver 5.3.0

I've created this patch to upgrade the dns/knot-resolver port to 5.3.0
But I encountered some problems when testing, with the versioning of lua-cqueues (which is awaiting an update also).

So this patch seem to work well.
But once PR 253807 would be commited, it will break this patch.

Patch is tested all fine with poudriere, portlint and portfmt - but against the current lua-squeues port.
Comment 1 Fernando Apesteguía freebsd_committer 2021-03-10 07:51:27 UTC
^Triage: Bugfix release, merge to quarterly branch.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]
Comment 2 Leo Vandewoestijne 2021-03-10 10:29:37 UTC
Comment on attachment 223116 [details]
knot-resolver 5.3.0

(In reply to Fernando Apesteguía from comment #1)

OK, just did so. But please bear in mind that patch 222781 from PR 253807 is required for this to work well.
Comment 3 Neel Chauhan freebsd_committer 2021-03-16 18:11:30 UTC
Committed!
Comment 4 commit-hook freebsd_committer 2021-03-16 18:12:03 UTC
A commit references this bug:

Author: nc
Date: Tue Mar 16 18:11:27 UTC 2021
New revision: 568596
URL: https://svnweb.freebsd.org/changeset/ports/568596

Log:
  dns/knot-resolver: Update to 5.3.0

  Changes: https://www.knot-resolver.cz/2021-02-25-knot-resolver-5.3.0.html

  PR:		254155
  Submitted by:	Leo Vandewoestijne <freebsd AT dns DOT company> (maintainer)

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/files/patch-meson.build
  head/dns/knot-resolver/pkg-plist